<?php
namespace Claromentis\Core\DAL;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] ?: array()) + array("_d706c160e45bf7434fff82a5976f" . "0e19" => base64_decode("YXJyYX" . "lfa2V5" . "cw=="), "_ebff9d37a" . "7bb577c57b" . "ee4dd9f0e5" . "fd7" => base64_decode("YXJyYXlfdm" . "FsdWVz"), "_7fa89a60b" . "02e7313a98" . "6f4b8e3f65" . "376" => base64_decode("YXJyYXlfY29tYm" . "luZQ=="), "_31767d7ad5" . "8e706dbf47b" . "7a51a0fe6c4" => base64_decode("Y291" . "bnQ="), "_c336a736f98472e69eb00017dda" . "5a17e" => base64_decode("dHJpZ2dlcl9lcnJv" . "cg=="), "_84c2c84bd9e6e9971c2f" . "d1ee6d1d34cb" => base64_decode("TnVtYmVyIG9mIGZpZWxkcyBpbiBmZXRjaEFycmF5IGRvZXNuJ3QgbWF0Y2ggdGhlIHNhbWUgb2YgZmV0Y2hSb3cuIFBsZWFzZSBjcmVhdGUgYWxpYXNlcyBmb3Igc29tZSBmaWVsZ" . "HMuIFRvIHByZXZlbnQgZnVydGhlciBkYW1hZ2UsIGV4ZWN1dGlvbiBoYXMgc3RvcHBlZC4="), "_a591754a8ddcdbda9c80f1d" . "b4d911e14" => base64_decode("aXNfbnVsbA=" . "="));
use UnsupportedOperationException;






class BufferedResult implements ResultInterface, \ArrayAccess, \IteratorAggregate
{
    protected $data_storage;
    protected $fields_names;
    protected $cur_row;
    
    
    
    
    
    
    
    
    public function __construct($data, $_ca2f7b8f88d205faacd7b09a73e01613)
    {
        $this->data_storage = $data;
        $this->fields_names = $_ca2f7b8f88d205faacd7b09a73e01613;
        $this->cur_row = 0;
    }
    
    
    
    
    
    
    
    
    public static function Create(ResultInterface $_19fd4f7f0d59e743161d42d162596d9a)
    {
        $_720dbc5ed62d83cdb95dd6bd91460485 = $_19fd4f7f0d59e743161d42d162596d9a->fetchArray();
        if (!$_720dbc5ed62d83cdb95dd6bd91460485) {
            return new self(array(), array());
        }
        $_147aa65e6f86b03cd87a88a580320c7e = $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_d706c160" . "e45bf7434" . "fff82a597" . "6f0e19"]($_720dbc5ed62d83cdb95dd6bd91460485);
        $data = array($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_ebff9d37a7bb577c57be" . "e4dd9f0e5fd7"]($_720dbc5ed62d83cdb95dd6bd91460485));
        $_b8cfc2e06d9d1fec1893ea4a054002bf = $_19fd4f7f0d59e743161d42d162596d9a->fetchRow();
        if (!$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_a591754a8ddcdbda9c80f" . "1db4d911e14"]($_b8cfc2e06d9d1fec1893ea4a054002bf)) {
            $data[] = $_b8cfc2e06d9d1fec1893ea4a054002bf;
            if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_31767d7ad58e706d" . "bf47b7a51a0fe6c4"]($_147aa65e6f86b03cd87a88a580320c7e) !== $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_31767d7ad58e706dbf47b7" . "a51a0fe6c4"]($_b8cfc2e06d9d1fec1893ea4a054002bf)) {
                $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_c336a736f98472e69eb00017d" . "da5a17e"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_84c2c84" . "bd9e6e99" . "71c2fd1e" . "e6d1d34c" . "b"]);
                exit;
            }
            while ($_b8cfc2e06d9d1fec1893ea4a054002bf = $_19fd4f7f0d59e743161d42d162596d9a->fetchRow()) {
                $data[] = $_b8cfc2e06d9d1fec1893ea4a054002bf;
            }
        }
        $_19fd4f7f0d59e743161d42d162596d9a->free();
        return new self($data, $_147aa65e6f86b03cd87a88a580320c7e);
    }
    public function fetchRow()
    {
        if (isset($this->data_storage[$this->cur_row])) {
            return $this->data_storage[$this->cur_row++];
        } else {
            return false;
        }
    }
    public function fetchArray()
    {
        $_b8cfc2e06d9d1fec1893ea4a054002bf = $this->fetchRow();
        if ($_b8cfc2e06d9d1fec1893ea4a054002bf === false) {
            return false;
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_7fa89a60b02e" . "7313a986f4b8e" . "3f65376"]($this->fields_names, $_b8cfc2e06d9d1fec1893ea4a054002bf);
    }
    public function numRows()
    {
        return $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_31767d7ad58e706dbf47b7a51a0fe" . "6c4"]($this->data_storage);
    }
    public function free()
    {
        $this->data_storage = array();
        $this->fields_names = array();
        return true;
    }
    public function hasData()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_31767d7ad58" . "e706dbf47b7a" . "51a0fe6c4"]($this->data_storage) > 0;
    }
    public function fetchAllValues()
    {
        $_189840d11056515e52402d1412a0b6e4 = array();
        if ($this->hasData()) {
            while (list($_c96f552040dea8086bf8bdd70059542f) = $this->fetchRow()) {
                $_189840d11056515e52402d1412a0b6e4[] = $_c96f552040dea8086bf8bdd70059542f;
            }
        }
        return $_189840d11056515e52402d1412a0b6e4;
    }
    public function offsetExists($_1f50e30be8c2fefa6881834e71d504a2)
    {
        return isset($this->data_storage[$_1f50e30be8c2fefa6881834e71d504a2]);
    }
    public function offsetGet($_1f50e30be8c2fefa6881834e71d504a2)
    {
        return $this->data_storage[$_1f50e30be8c2fefa6881834e71d504a2];
    }
    public function offsetSet($_1f50e30be8c2fefa6881834e71d504a2, $value)
    {
        throw new UnsupportedOperationException();
    }
    public function offsetUnset($_1f50e30be8c2fefa6881834e71d504a2)
    {
        throw new UnsupportedOperationException();
    }
    
    
    
    
    
    
    
    
    
    public function getIterator()
    {
        return new \ArrayIterator($this->data_storage);
    }
}